package com.myurbex.controllers;

import com.myurbex.models.Marker;
import com.myurbex.models.MarkerRepository;
import com.myurbex.models.User;
import com.myurbex.models.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.Optional;

@Controller	// This means that this class is a Controller
@RequestMapping(path="/user") // This means URL's start with /demo (after Application path)
public class MarkerController {

    @Autowired // This means to get the bean called userRepository
    // Which is auto-generated by Spring, we will use it to handle the data
    private MarkerRepository markerRepository;

    @GetMapping(path="/all")
    public @ResponseBody Iterable<Marker> getAllUsers(@RequestParam int levelId) {
        // This returns a JSON or XML with the users
        return markerRepository.findMarkersByLevelId(levelId);
    }

    @GetMapping(path="/count")
    public @ResponseBody long countMarkers() {
        // This returns a JSON or XML with the users
        return markerRepository.count();
    }

    @GetMapping(path="/count/ids")
    public @ResponseBody int countMarkersIdsIn(String ids){
        return markerRepository.countMarkersIdsIn(ids);
    }

}

